import { ErrorBoundary } from "react-error-boundary"
import ErrorFallback from "../ErrorFallback"
import {act, render, screen} from "@testing-library/react";
import Bomb from "./Bomb";

test("test ErrorBoundary", async()=>{
    const orgError = console.error;
    try{
        console.error = () =>{ }
        await act(()=>{
            render(
                <ErrorBoundary FallbackComponent={ErrorFallback}>
                    <Bomb />
                </ErrorBoundary>
            )
        })
    }finally{
        console.error = orgError;
    }
    
    const boom = screen.getAllByText(/CABOOM/i);
    expect(boom.length).toBeGreaterThan(0);
    expect(boom[0]).toBeInTheDocument();
})